# It's extremely hard to package jruby, so just including binaries here

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		asciidoctorj
Version:	1.6.2
Release:	0.2%{?dist}
Summary:	AsciiDoctorJ (bundle)
License:	ASL 2.0
URL:		https://github.com/asciidoctor/asciidoctorj
SOURCE0:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctorj-api/%{version}/asciidoctorj-api-%{version}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctorj-api/%{version}/asciidoctorj-api-%{version}.jar
SOURCE2:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctorj/%{version}/asciidoctorj-%{version}.pom
SOURCE3:	https://repo1.maven.org/maven2/org/asciidoctor/asciidoctorj/%{version}/asciidoctorj-%{version}.jar
SOURCE4:	asciidoctorj-api.xml
SOURCE5:	asciidoctorj.xml
SOURCE6:	https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.asciidoctor:asciidoctorj-api) = %{version}
Provides:	mvn(org.asciidoctor:asciidoctorj-api:pom:) = %{version}
Provides:	mvn(org.asciidoctor:asciidoctorj) = %{version}
Provides:	mvn(org.asciidoctor:asciidoctorj:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem
Requires:	mvn(com.beust:jcommander)
Requires:	mvn(org.jruby:jruby)

%description
%{name} bundles all the bits of AsciiDoctorJ


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}-api.pom
cp -p %{SOURCE2} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}-api.jar
cp -p %{SOURCE3} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE4} %{buildroot}%{_maven_metadata_dir}/%{name}-api.xml
cp -p %{SOURCE5} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE6} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/%{name}-api.pom
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}-api.jar
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}-api.xml
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Thu Mar 17 2022 Martin Perina <mperina@redhat.com> - 1.6.2-0.2
- Fix dependency on JRuby

* Tue Mar 01 2022 Martin Perina <mperina@redhat.com> - 1.6.2-0.1
- Initial RPM release
- Just bundled JARs

